### Class

# EvinceView JobThumbnail

since: 3.0

#### Description

    class EvinceView.JobThumbnail : EvinceView.Job
    {
      page: gint,
      rotation: gint,
      scale: gdouble,
      target_width: gint,
      target_height: gint,
      thumbnail: GdkPixbuf*,
      has_frame: gboolean,
      format: EvJobThumbnailFormat,
      thumbnail_surface: cairo_surface_t*
    }

No description available.

Available since: 3.0

#### Hierarchy

#### Ancestors

- EvJob
- GObject

#### Constructors

###### ev_job_thumbnail_new

No description available.

since: 3.0

###### ev_job_thumbnail_new_with_target_size

No description available.

since: 3.0

#### Instance methods

###### ev_job_thumbnail_set_has_frame

No description available.

since: 3.8

###### ev_job_thumbnail_set_output_format

Set the desired output format for the generated thumbnail.

since: 3.14

##### Methods inherited from EvJob (11)

###### ev_job_cancel

No description available.

since: 3.0

###### ev_job_failed

No description available.

since: 3.0

###### ev_job_failed_from_error

No description available.

since: 3.0

###### ev_job_get_run_mode

No description available.

since: 3.0

###### ev_job_is_failed

No description available.

since: 3.0

###### ev_job_is_finished

No description available.

since: 3.0

###### ev_job_run

No description available.

since: 3.0

###### ev_job_scheduler_push_job

No description available.

since: 3.0

###### ev_job_scheduler_update_job

No description available.

since: 3.0

###### ev_job_set_run_mode

No description available.

since: 3.0

###### ev_job_succeeded

No description available.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from EvJob (2)

###### EvJob::cancelled

No description available.

since: 3.0

###### EvJob::finished

No description available.

since: 3.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct EvinceViewJobThumbnailClass {
      EvJobClass parent_class;

    }

No description available.

###### Class members

`parent_class: EvJobClass`
  No description available.